# frozen_string_literal: true

require 'active_support/dependencies/autoload'

module RoleManagement
  module Actions
    extend ActiveSupport::Autoload

    autoload :Node
    autoload :RoleDocuments
    autoload :CreateRoleDocument
    autoload :UpdateRoleDocument
    autoload :DeleteRoleDocument
    autoload :PermissionHierarchy
    autoload :PermissionGroups
    autoload :UpdateUserGroupRoleBindings
    autoload :UserGroupRoleBindings
    autoload :AuthorizationHelper
    autoload :OrganizationDeleted
  end
end
