# frozen_string_literal: true

require 'graphql'

module RoleManagement
  module GraphQL
    module Types
      module Content
        include  GraphQL::Schema::Interface

        description "This should be implemented by objects that want to participate in flow down, this is similar to schema
items like Sort and Filter"

        field :metadata, ContentMetadata, null:true

      end
      end
    end
  end
