# frozen_string_literal: true

require 'cht-lib-fabric/graphql/federation/types'
require 'role_management/graph_ql/types/mutations'

module RoleManagement
  module GraphQL
    module Types
      class Mutation < ::Platform::GraphQL::Types::BaseObject
        field :create_role_document, mutation: Mutations::CreateRoleDocument
        field :update_role_document, mutation: Mutations::UpdateRoleDocument
        field :delete_role_document, mutation: Mutations::DeleteRoleDocument
        field :update_user_group_role_bindings, mutation: Mutations::UpdateUserGroupRoleBindings
      end
    end
  end
end
