# frozen_string_literal: true

require 'graphql'
require 'active_support/dependencies/autoload'

module RoleManagement
  module GraphQL
    module Types
      module Mutations
        extend ActiveSupport::Autoload
        autoload :CreateRoleDocument
        autoload :UpdateRoleDocument
        autoload :DeleteRoleDocument
        autoload :UpdateUserGroupRoleBindings
      end
    end
  end
end