# frozen_string_literal: true

require 'cht-lib-fabric/graphql/federation/types'

module RoleManagement
  module GraphQL
    module Types
      class Permission < ::Platform::GraphQL::Types::BaseObject
        field :id, String, null: false
        field :action, String, null: false
        field :subject, String, null: false
        field :label, String, null: true
      end
    end
  end
end
