# frozen_string_literal: true

require 'cht-lib-fabric/graphql/federation/types'

module RoleManagement
  module GraphQL
    module Types
      class SharedUserGroupRoleBinding < ::Platform::GraphQL::Types::BaseObject

        field :organization, SharedRoleDocumentOrganization, null: false
        field :organizations, [SharedRoleDocumentOrganization], null: false
        field :user_group, SharedRoleDocumentUserGroup, null:false

        def user_group
          obj_h = object.to_h.with_indifferent_access
          obj_h['userGroup']
        end

      end
    end
  end
end
