# frozen_string_literal: true

require 'graphql'

module RoleManagement
  module GraphQL
    module Types
      class UpdateUserGroupRoleBindingInput < ::GraphQL::Schema::InputObject

        argument :id, ID, required: true
        argument :organization_ids, [ID], required: true

      end
    end
  end
end