# frozen_string_literal: true

require 'cht-lib-fabric/dry_types'
require 'dry-struct'
require 'role_management/models/content/shared_content_meta_data'

module RoleManagement
  module Models
    module Content
      class Metadata < ::Dry::Struct
        attribute :shared, ::RoleManagement::Models::Content::SharedContentMetadata
      end
    end
  end
end
