# frozen_string_literal: true

require 'cht-lib-fabric/dry_types'
require 'dry-struct'

module RoleManagement
  module Models
    module Content
      class SharedContentMetadata < ::Dry::Struct
        attribute :enabled, ::Platform::DryTypes::Strict::Bool.default(false)
      end
    end
  end
end
