# frozen_string_literal: true

require 'cht-lib-fabric/crn'

module RoleManagement
  module Models
    module CRNs
      class Permission < ::Platform::CRN
        # @return [Fixnum] always zero for a permission
        attribute :customer, ::Platform::DryTypes.Value(0).default(0)

        # @return [String] the service for a permission.
        attribute :service,
                  ::Platform::DryTypes.Value('permission')
                                      .default('permission')
      end
    end
  end
end
