# frozen_string_literal: true

require 'cht-lib-fabric/dry_types'
require 'dry-struct'

module RoleManagement
  module Models
    class Permission < ::RoleManagement::Models::Relay::Node
      # @return [Platform::CRNs::Permission]
      attribute :id, ::Platform::DryTypes::Strict::String

      attribute :action, ::Platform::DryTypes::Strict::String
      attribute :subject, ::Platform::DryTypes::Strict::String

      attribute :label, ::Platform::DryTypes::Strict::String.optional
    end
  end
end
