# frozen_string_literal: true

require 'active_support/dependencies/autoload'

module RoleManagement
  module Models
    # Relay models.
    module Relay
      extend ActiveSupport::Autoload

      autoload :Node, 'role_management/models/relay/node'
      autoload :Edge, 'role_management/models/relay/edge'
    end
  end
end
