# frozen_string_literal: true

require 'cht-lib-fabric/dry_types'

module RoleManagement
  module Models
    module Relay
      class Node < ::Dry::Struct

        # @return [String] the CRN of the node.
        attribute :id, ::Platform::DryTypes::Strict::String

      end
    end
  end
end
