# frozen_string_literal: true

require 'cht-lib-fabric/graphql/federation/types'

module RoleManagement
  module GraphQL
    module Types
      class ContentMetadata < ::Platform::GraphQL::Types::BaseObject
        description "Metadata about the content"
        field :shared, SharedContentMetadata, "Optional Sharing Metadata about the content", null: true
      end
    end
  end
end