# frozen_string_literal: true

require 'graphql'

module RoleManagement
  module GraphQL
    module Types
      class ContentMetadataInput < ::GraphQL::Schema::InputObject
        description "Input metadata about the content"
        argument :shared, SharedMetadataInput, "Meta data about how this content is shared", required: false
      end
    end
  end
end