# frozen_string_literal: true

require 'graphql'

module RoleManagement
  module GraphQL
    module Types
      class CreateUserGroupRoleBindingInput < ::GraphQL::Schema::InputObject
        argument :user_group, UserGroupRoleBindingUserGroupInput, required: true
        argument :role_document, UserGroupRoleBindingRoleDocumentInput, required: true
        argument :organizations, [UserGroupRoleBindingOrganizationInput], required: true
      end
    end
  end
end