# frozen_string_literal: true

require 'graphql'

module RoleManagement
  module GraphQL
    module Types
      class PermissionInput < ::GraphQL::Schema::InputObject
        argument :action, String, required: true
        argument :subject, String, required: true
      end
    end
  end
end