# frozen_string_literal: true

require 'cht-lib-fabric/graphql/federation/types'

module RoleManagement
  module GraphQL
    module Types
      class SharedContentMetadata < ::Platform::GraphQL::Types::BaseObject
        description "Shared Metadata about some content"
        field :enabled, Boolean, "Whether sharing is enabled", null: false
      end
    end
  end
end