# frozen_string_literal: true

require 'graphql'

module RoleManagement
  module GraphQL
    module Types
      class SharedMetadataInput < ::GraphQL::Schema::InputObject
        description "Input metadata about some content"
        argument :enabled, Boolean, "A boolean indicating whether this content is shared", required: true
      end
    end
  end
end