# frozen_string_literal: true

require 'graphql'

module RoleManagement
  module GraphQL
    module Types
      class UpdateUserGroupRoleBindingsInput < ::GraphQL::Schema::InputObject

        argument :creates, [CreateUserGroupRoleBindingInput], required: false
        argument :updates, [UpdateUserGroupRoleBindingInput], required: false
        argument :deletes, [DeleteUserGroupRoleBindingInput], required: false

      end
    end
  end
end