# frozen_string_literal: true

require 'active_support/dependencies/autoload'

module RoleManagement
  # Data models for the role management service.
  module Models
    extend ActiveSupport::Autoload

    autoload :Privileges
    autoload :RoleDocument
    autoload :UserGroupRoleBinding
    autoload :Permission
    autoload :PermissionGroup
    autoload :CRNs, 'role_management/models/crns'
    autoload :Relay
  end
end
