# frozen_string_literal: true

require 'active_support/dependencies/autoload'

module RoleManagement
  module Models
    # CRN models for the role management service.
    module CRNs
      extend ActiveSupport::Autoload

      autoload :Permission, 'role_management/models/crns/permission'
      autoload :RoleDocument, 'role_management/models/crns/role_document'
      autoload :UserGroupRoleBinding, 'role_management/models/crns/user_group_role_binding'
    end
  end
end
