# frozen_string_literal: true

require 'cht-lib-fabric/dry_types'

module RoleManagement
  module Models
    module Relay
      class Edge < ::Dry::Struct

        # @return [Object] ::Role::Management::Models::Relay::Node
        attribute :node,
                  ::RoleManagement::Models::Relay::Node

        # @return [String] index representation of the node in the list
        attribute :cursor,
                  ::Platform::DryTypes::Strict::String
      end
    end
  end
end
